summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2021-01-22 22:21:56 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2021-01-23 00:54:54 -0500
commit0bcc40ef9af0bd4f06baa8436458ca6fe9844587 (patch)
tree46edab99d9a21d7de36cbdbfe9b5a726e0d78fc5
parent408a89e47231f11c51ffc00bac36d802b2310234 (diff)
revertme - debugging
-rw-r--r--scripts/makepkg.sh.in32
1 files changed, 31 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index afb7d75b..f010b133 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1264,7 +1264,7 @@ lint_pkgbuild || exit $E_PKGBUILD_ERROR
# detect temporary mksource PKGBUILD
declare -r MKSOURCE_RX='librefetch\.[^\ ]{11}\.PKGBUILD\.to\.SRCBUILD$'
declare -r IS_MKSOURCE=$( [[ "$BUILDFILE" =~ $MKSOURCE_RX ]] && echo 1 || echo 0 )
-
+# DBG "BUILDFILE=$BUILDFILE"
if (( !SOURCEONLY && !PRINTSRCINFO )); then
merge_arch_attrs
@@ -1390,6 +1390,8 @@ if (( SOURCEONLY )); then
exit $E_ALREADY_BUILT
fi
+DBG "makepkg SOURCEONLY calling download_sources"
+
# Get back to our src directory so we can begin with sources.
mkdir -p "$srcdir"
chmod a-s "$srcdir"
@@ -1400,17 +1402,29 @@ if (( SOURCEONLY )); then
( (( ! SKIPPGPCHECK )) && source_has_signatures ) ); then
download_sources allarch novcs
fi
+
+# if ! (( IS_MKSOURCE )); then # standard behavior
+DBG "makepkg SOURCEONLY calling check_source_integrity IS_MKSOURCE=$IS_MKSOURCE" # its not
+
check_source_integrity all
cd_safe "$startdir"
+DBG "makepkg SOURCEONLY DONE check_source_integrity"
+
enter_fakeroot
if [[ $SIGNPKG = 'y' ]]; then
+
+DBG "makepkg SOURCEONLY calling create_signature"
+
msg "$(gettext "Signing package...")"
create_signature "$SRCPKGDEST/${pkgbase}-${fullver}${SRCEXT}"
fi
msg "$(gettext "Source package created: %s")" "$pkgbase ($(date +%c))"
+
+DBG "makepkg SOURCEONLY OUT"
+
exit $E_OK
fi
@@ -1424,6 +1438,8 @@ else
fi
deperr=0
+DBG "makepkg ->resolve_deps IS_MKSOURCE=$IS_MKSOURCE"
+
msg "$(gettext "Checking runtime dependencies...")"
resolve_deps ${depends[@]} || deperr=1
@@ -1462,8 +1478,11 @@ if (( !REPKG )); then
download_sources
check_source_integrity
else # mksource behavior
+DBG "makepkg IS_MKSOURCE ->download_sources"
download_sources
+DBG "makepkg IS_MKSOURCE ->check_pgpsigs"
check_pgpsigs
+DBG "makepkg IS_MKSOURCE ->check_checksums"
if ! ( check_checksums ); then
# offer to update mksource checksums, if $BUILDFILE is a temporary mksource() PKGBUILD
warning "$(gettext "The PKGBUILD mk*sums do not validate the upstream sources.\n")"
@@ -1475,9 +1494,20 @@ if (( !REPKG )); then
else
exit $E_PKGBUILD_ERROR
fi
+
+else DBG "makepkg IS_MKSOURCE ->check_checksums DONE"
+
fi
fi
+# PKGVERFUNC=0
+# VERIFYSOURCE=0
+# CLEANBUILD=0
+# PREPAREFUNC=1
+# REPRODUCIBLE=1
+# NOBUILD=0
+# NOARCHIVE=0
+
(( VERIFYSOURCE )) && exit $E_OK
if (( CLEANBUILD )); then